<?php
    session_start();

    if ($_SERVER["REQUEST_METHOD"]=="POST"){
        $celkonyvtar = "kepek/";
        $celfajl = $celkonyvtar.$_FILES["kepfajl"]["name"];

        $maxmeret = 5 * 1024 * 1024;
        $kepkiterjesztes = strtolower(pathinfo($celfajl, PATHINFO_EXTENSION));
        $uploadOK = 1;

        if(getimagesize($_FILES["kepfajl"]["tmp_name"]) == false){
            $uploadOK = 0;
            echo "nem kép lett megadva";
        }

        if($_FILES["kepfajl"]["size"] > $maxmeret){
            $uploadOK = 0;
            echo "Túl nagy állomány";
        }


        if($kepkiterjesztes != "jpg" && $kepkiterjesztes != "png"){
            $uploadOK = 0;
            echo "nem megengedett formátum";
        }

        if($uploadOK == 1){
            if(move_uploaded_file($_FILES["kepfajl"]["tmp_name"],$celfajl)){
                $_SESSION["kepek"][] = $celfajl;
            }
        }


        //var_dump($_FILES["kepfajl"]);
    }

if (isset($_SESSION["kepek"])){
    foreach($_SESSION["kepek"] as $key => $value){
        echo "<img src='$value' style='width: 200px; height: auto;'>";
    }
}